Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.update.core
Interface ISiteFeatureReference

All Superinterfaces:
  IAdaptable, IFeatureReference, IPlatformEnvironment

All Known Implementing Classes:
  SiteFeatureReference

public interface ISiteFeatureReference
extends IFeatureReference, IAdaptable

Site Feature reference. A reference to a feature on a particular update site.

Clients may implement this interface. However, in most cases clients should directly instantiate or subclass the provided implementation of this interface.

Note: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

Since:
  2.1
See Also:
  `SiteFeatureReference`

Method Summary
`void` | `addCategory(ICategory category)` Adds a category to the referenced feature.
`ICategory[]` | `getCategories()` Returns an array of categories the referenced feature belong to.

Methods inherited from interface org.eclipse.update.core.IFeatureReference
`getFeature, getFeature, getName, getSite, getURL, getVersionedIdentifier, isPatch, setSite, setURL`

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Methods inherited from interface org.eclipse.update.core.IPlatformEnvironment
`getNL, getOS, getOSArch, getWS`

Method Detail

### getCategories

    public ICategory[] getCategories()

  Returns an array of categories the referenced feature belong to.

  Returns:
    an array of categories, or an empty array
  Since:
    2.1

### addCategory

    public void addCategory(ICategory category)

  Adds a category to the referenced feature.

  Parameters:
    `category` - new category
  Since:
    2.1

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.